<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_point3_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::core::Point3D Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a992b123b8b4b5fa957c4770de9a40d83">Norm</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a29cd11912dfc2cee517421fe7a4a8274">Normalize</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(size_t idx) (defined in <a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(size_t idx) const  (defined in <a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ad76e44929f1acd3c609107641bedac85">Point3D</a>(float x=0, float y=0, float z=0)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ad50b0abcc178cbbe3d39bf16c904916f">Rotate</a>(const RotationMatrix &amp;matrix)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a062622b0457bd0d41f774f9fa6b28350">Rotate</a>(const Quaternion &amp;quaternion)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a7fa558a2d1319abd99d2497324b2253e">RotateX</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ac6b0f5db7980c641ada678f963837d5f">RotateXDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a28e7a11fc017e4c660d4ab45a7c9236f">RotateY</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a28d83a4869b847e617933c905df9e0e5">RotateYDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a5c39f3563aad84ed29d443647e901b15">RotateZ</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a1fc238d5f6845e00743b958648b0907d">RotateZDeg</a>(float value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a23ae08b760a4b9259b35df4f9615b6e0">To2Dxy</a>(Point2D &amp;point) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">x</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">y</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">z</a></td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html#af1ee45d703ac5a36f35b721811c6aed9">~Point3D</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Feb 18 2016 17:14:16 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
